#!/usr/bin/env python3
# -*-coding:Utf-8 -*

import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="hic_ssdna",
    version="1.1.0",
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    install_requires=[
        'pandas'
    ],
    author="Loqmen Anani",
    author_email="loqmen.anani@ens-lyon.fr",
    description="A package to ananlyze the data generated by Hi-C Capture for ssDNA",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://gitbio.ens-lyon.fr/LBMC/GM/hic-ssdna",
    classifiers=[
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    test_suite='nose.collector',
    tests_require=['nose'],
    entry_points={
        'console_scripts': ['hic_ssdna.oligos_replacement=hic_ssdna.oligos_replacement:main',
                            'hic_ssdna.contacts_filter=hic_ssdna.contacts_filter:main'],
    }
)
